Skip to main content

DeleteSelectedTable

Deletes the specified data table from the designated workspace.

Debug

You can run this API directly in OpenAPI Explorer, saving you the trouble of calculating signatures. After a successful run, OpenAPI Explorer can automatically generate SDK code examples. Debug

Authorization information

The following table describes the authorization information for this API. You can use it in the Action element of a RAM policy statement to grant RAM users or RAM roles the permission to call this API. Details are as follows:
  • Action: the specific permission point.
  • Access level: the access level of each action. Valid values: Write, Read, or List.
  • Resource type: the resource types that support authorization for the action. Details are as follows:
    • For required resource types, an asterisk (*) is added as a prefix.
    • For actions that do not support resource-level authorization, All resources is used.
  • Condition key: the condition keys defined by the cloud service itself.
  • Related action: other permissions required to successfully perform the action. The caller must also have the permissions of the related actions for the operation to succeed.
ActionAccess levelResource typeCondition keyRelated action
dataanalysisgbi:DeleteSelectedTablenone
*All resources
*
    None
None

Request syntax

POST /gbi/delete/table HTTP/1.1

Request parameters

NameTypeRequiredDescriptionExample value
workspaceIdstringYes

The ID of the Model Studio workspace used for the current request.

llm-2v3934xtp49esw64
bodyobjectNo

Request body parameters.

tableIdKeystringYes

The unique identifier ID of the data table.

table-AAAAAAAAFQBwSLJkUj4CYg

Response parameters

NameTypeDescriptionExample value
object

Result

dataany

Returned information.

true
errorMsgstring

Error message.

NoAuth
codestring

Error code.

NoAuth
successboolean

true indicates that the API call succeeded, and false indicates that the API call failed.

true
requestIdstring

The request ID, which is unique for each request and helps troubleshoot issues.

45390C6D-016D-5030-BF65-031ED1F65003

Examples

Success response JSON format
{
  "data": "true",
  "errorMsg": "NoAuth",
  "code": "NoAuth",
  "success": true,
  "requestId": "45390C6D-016D-5030-BF65-031ED1F65003"
}

Error codes

HTTP status codeError codeError messageDescription
401Internal.ErrorBad Request: Internal Error.Internal error. Contact customer service personnel for troubleshooting.
401NoResourceAuthBad Request: Resource Auth Error.You do not have permission on the requested resource. Make sure that the requested resource belongs to the workspace specified in the current parameters.
401NoAuthBad Request: Workspace.Illegal.Auth.The current account does not have permission on the specified workspace.
401SystemOperationInProgressXiyan GBI is learning your previous modifications. Please try again later.Xiyan GBI is learning your previous modifications. Please try again later.
Visit the Error Center to view more error codes.